#
# spec file for package aws-iam-authenticator
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
 
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%global provider        github
%global provider_tld    com
%global project         kubernetes-sigs
%global repo            aws-iam-authenticator
%global provider_prefix %{provider}.%{provider_tld}/%{project}/%{repo}
%global import_path     %{provider_prefix}

%{go_nostrip}

Name:           aws-iam-authenticator
Version:        0.4.0
Release:        1.3.35
License:        Apache-2.0
Summary:        Authenticate to Kubernetes cluster using AWS IAM credentials
Group:          Development/Languages/Other
Url:            https://aws.amazon.com/sdk-for-go/
Source0:        https://github.com/kubernetes-sigs/aws-iam-authenticator/archive/v%{version}.tar.gz
BuildRequires:  golang-packaging
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%{go_provides}
 
%description
A tool to use AWS IAM credentials to authenticate to a Kubernetes cluster
 
%prep
%setup -q -n aws-iam-authenticator-%{version}

%build
%goprep %{import_path}
export GOPATH=%{_builddir}/go
cd %{_builddir}/go/src/%{import_path}
go list ./... | xargs -n1 go build -v

%install
install -m 755 %{_builddir}/go/src/%{import_path}/aws-iam-authenticator %{buildroot}%{_bindir}

%files
%doc README.md
%license LICENSE
%{_bindir}/aws-iam-authenticator

%changelog
* Thu May 23 2019 adrian.glaubitz@suse.com
- Include in SLE-15 (fate#327747, bsc#1098521)
* Tue May 14 2019 adrian.glaubitz@suse.com
- Initial build
  + Version 0.4.0
